View Issue Details

IDProjectCategoryView StatusLast Update
0003032FreeCADFeaturepublic2018-08-26 18:36
ReporterKunda1 Assigned Toyorik  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.17 
Summary0003032: Addon Manager should have a dependency pre-requisite checker
DescriptionThe gist:
A pre-requisite checker that runs before an addon is installed.
Details: FreeCAD/FreeCAD-addons/29
Related to 0002993 & 0000857
Tagsaddon-manager
FreeCAD Information

Relationships

related to 0002993 new Addon Manager Check/notification which workbenches have an available update 
related to 0000857 assignedwmayer FreeCAD Split package into smaller ones. 

Activities

yorik

2017-06-26 14:01

administrator   ~0009540

This is done now, I think it can be closed...

Related Changesets

FreeCAD: master 869e42e0

2017-05-13 12:18:21

looo


Committer: wmayer Details Diff
try to repair add-on manager Affected Issues
0003032
mod - src/Mod/AddonManager/AddonManager.py Diff File

FreeCAD: master 456d3b80

2017-05-31 17:18:18

Yorik van Havre

Details Diff
Addon manager: Added dependency checking Affected Issues
0003032
mod - src/Mod/AddonManager/AddonManager.py Diff File

FreeCAD: master e2e1f44b

2017-05-31 17:23:28

Yorik van Havre

Details Diff
Addon manager: strip possible whitespaces in dependencies checking Affected Issues
0003032
mod - src/Mod/AddonManager/AddonManager.py Diff File

FreeCAD: master 58909797

2017-05-31 20:53:50

Yorik van Havre

Details Diff
Addonmanager: Small fix Affected Issues
0003032
mod - src/Mod/AddonManager/AddonManager.py Diff File

FreeCAD: master 99e400e8

2017-06-01 10:07:46

Yorik van Havre

Details Diff
Addon manager: Added check for optional py dependencies Affected Issues
0003032
mod - src/Mod/AddonManager/AddonManager.py Diff File

Issue History

Date Modified Username Field Change
2017-05-15 12:07 Kunda1 New Issue
2017-05-15 12:07 Kunda1 Tag Attached: addon-manager
2017-05-15 12:11 Kunda1 Description Updated
2017-05-15 12:12 Kunda1 Relationship added related to 0002993
2017-05-15 12:12 Kunda1 Relationship added related to 0000857
2017-05-17 04:10 Kunda1 Tag Attached: #lowhangingfruit
2017-06-21 20:39 Kunda1 Changeset attached => FreeCAD master 456d3b80
2017-06-21 20:40 Kunda1 Changeset attached => FreeCAD master e2e1f44b
2017-06-21 20:40 Kunda1 Changeset attached => FreeCAD master 58909797
2017-06-21 20:40 Kunda1 Changeset attached => FreeCAD master 99e400e8
2017-06-21 20:41 Kunda1 Assigned To => yorik
2017-06-21 20:41 Kunda1 Status new => assigned
2017-06-26 14:01 yorik Note Added: 0009540
2017-06-26 14:01 yorik Status assigned => closed
2017-06-26 14:01 yorik Resolution open => fixed
2017-07-04 13:10 Kunda1 Changeset attached => FreeCAD master 869e42e0
2018-08-26 18:36 Kunda1 Tag Detached: #lowhangingfruit